return {
    {
        "benlubas/molten-nvim",
        build = ":UpdateRemotePlugins",
        version = "v1.7.0",
        init = function()
            vim.keymap.set("n", "<localleader>mi", ":MoltenInit<CR>", {
                silent = true,
                desc = "Initialize the plugin"
            })
            vim.keymap.set("n", "<localleader>e", ":MoltenEvaluateOperator<CR>", {
                silent = true,
                desc = "run operator selection"
            })
            vim.keymap.set("n", "<localleader>rl", ":MoltenEvaluateLine<CR>", {
                silent = true,
                desc = "evaluate line"
            })
            vim.keymap.set("n", "<localleader>rr", ":MoltenReevaluateCell<CR>", {
                silent = true,
                desc = "re-evaluate cell"
            })
            vim.keymap.set("v", "<localleader>r", ":<C-u>MoltenEvaluateVisual<CR>gv", {
                silent = true,
                desc = "evaluate visual selection"
            })

            vim.g.molten_auto_open_output = false
            vim.g.molten_virt_text_output = true
            vim.g.molten_virt_text_max_lines = 32
        end
    }
}
